org.jboss.netty.handler.codec.http.websocketx

## Class WebSocketFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.http.websocketx.WebSocketFrame

Direct Known Subclasses:
  BinaryWebSocketFrame, CloseWebSocketFrame, ContinuationWebSocketFrame, PingWebSocketFrame, PongWebSocketFrame, TextWebSocketFrame

    public abstract class WebSocketFrame
    extends Object

Base class for web socket frames

### Constructor Summary

Constructors
Constructor and Description
`WebSocketFrame()`

### Method Summary

Methods
`ChannelBuffer` `getBinaryData()` Returns binary data
`int` `getRsv()` Bits used for extensions to the standard.
`boolean` `isFinalFragment()` Flag to indicate if this frame is the final fragment in a message.
`void` `setBinaryData(ChannelBuffer binaryData)` Sets the binary data for this frame
`void` `setFinalFragment(boolean finalFragment)`
`void` `setRsv(int rsv)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketFrame

    public WebSocketFrame()

### Method Detail

#### getBinaryData

    public ChannelBuffer getBinaryData()

Returns binary data

#### setBinaryData

    public void setBinaryData(ChannelBuffer binaryData)

Sets the binary data for this frame

#### isFinalFragment

    public boolean isFinalFragment()

Flag to indicate if this frame is the final fragment in a message. The first fragment (frame) may also be the final fragment.

#### setFinalFragment

    public void setFinalFragment(boolean finalFragment)

#### getRsv

    public int getRsv()

Bits used for extensions to the standard.

#### setRsv

    public void setRsv(int rsv)